Subject: bug#45542: closed (Re: [bug#45542] import: pypi: Clearify docstring of parse-requires.txt)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Apr 2021 04:04:02 +0000

Your bug report

#45542: import: pypi: Clearify docstring of parse-requires.txt

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45542: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45542
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#45542] import: pypi: Clearify docstring of parse-requires.txt
From: Leo Famulari <[email-masked]>
To: Rovanion Luckey <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Apr 2021 00:02:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Dec 29, 2020 at 11:54:11PM +0100, Rovanion Luckey wrote:
> When mucking about the codebase trying to figure out if it would be
> possible to automatically import a Python project using Guix preexisting
> functions I found a docstring I thought could be more explicit than it was.

> From 338ac21c68e757d94b8375cb42345a82488f1708 Mon Sep 17 00:00:00 2001
> From: Rovanion Luckey <[email-masked]>
> Date: Thu, 26 Nov 2020 20:59:19 +0100
> Subject: [PATCH 1/2] import: pypi: Clearify docstring of parse-requires.txt

Thanks! Pushed as 9215f35b78e40d31ebece54fb7938aa321ec9130

Subject: import: pypi: Clearify docstring of parse-requires.txt
From: Rovanion Luckey <[email-masked]>
To: [email-masked]
Date: Tue, 29 Dec 2020 23:54:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When mucking about the codebase trying to figure out if it would be
possible to automatically import a Python project using Guix preexisting
functions I found a docstring I thought could be more explicit than it was.
From 338ac21c68e757d94b8375cb42345a82488f1708 Mon Sep 17 00:00:00 2001
From: Rovanion Luckey <[email-masked]>
Date: Thu, 26 Nov 2020 20:59:19 +0100
Subject: [PATCH 1/2] import: pypi: Clearify docstring of parse-requires.txt

---
 guix/import/pypi.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/guix/import/pypi.scm b/guix/import/pypi.scm
index bf4dc50138..6731d50891 100644
--- a/guix/import/pypi.scm
+++ b/guix/import/pypi.scm
@@ -229,8 +229,8 @@ the input field."
        '("test" "dev")))

 (define (parse-requires.txt requires.txt)
-  "Given REQUIRES.TXT, a Setuptools requires.txt file, return a list of lists
-of requirements.
+  "Given REQUIRES.TXT, a path to a Setuptools requires.txt file, return a list
+of lists of requirements.

 The first list contains the required dependencies while the second the
 optional test dependencies.  Note that currently, optional, non-test
--
2.29.2